File libunique.changes of Package libunique

-------------------------------------------------------------------
Thu Dec  8 21:00:12 UTC 2011 - dimstar@opensuse.org

- Split typelib file into typelib-1_0-Unique-3_0 subpackage.
- Add typelib-1_0-Unique-3_0 Requires to devel subpackage.

-------------------------------------------------------------------
Wed Jun 15 09:59:36 CEST 2011 - vuntz@opensuse.org

- Update to version 3.0.2:
  + Remove the deprecated G_CONST_RETURN
- Drop wrong and unneeded debug_package_requires define (as we only
  build subpackages).

-------------------------------------------------------------------
Tue Apr  5 12:01:00 UTC 2011 - fcrozat@novell.com

- Update to version 3.0.0:
  + Set default DBus timeout to 3 seconds
  + Fix introspection annotations
  + Use GTK_CHECK_BACKEND to enable X11-specific API usage
  + Fix signedness of the lenght parameter of
    UniqueMessageData.set().
  + Bail out of UniqueMessageData.get_text_plain() if the message
    is empty.
  + Fix the help string of the --enable-maintainer-flags configure
    switch.
  + Update the documentation
  + Use the gobject-introspection Makefile template to generate
    introspection files
  + Correctly version the API reference, to avoid collisions with
    the gtk2.x series.
- Update path for html documentation.

-------------------------------------------------------------------
Tue Feb 15 17:36:37 UTC 2011 - fcrozat@novell.com

- Update to version 2.91.4:
  + Build introspection against GTK+ 3.0
- Changes from version 2.90.1:
  + Link against GTK+ 3.0
  + Use GDBus by default
- Replace gtk2-devel BuildRequires with gtk3-devel.
- Remove explicit Requires of gtk2-devel in devel subpackage: the
  right one will automatically be added the pkgconfig() way.
- Rename library subpackages from *-1_0-0 to *-3_0-0, following
  the library name changes.

-------------------------------------------------------------------
Thu Jan 13 16:55:54 CST 2011 - gburt@suse.de

- Explicitly enable D-Bus support (bnc#640615):
  + Add dbus-1-glib-devel BuildRequires to build the D-Bus backend.
  + Pass --enable-dbus=yes to configure.

-------------------------------------------------------------------
Sun Sep 19 00:53:46 CEST 2010 - vuntz@opensuse.org

- Move gir files to devel subpackage.

-------------------------------------------------------------------
Wed Dec 23 12:02:07 CET 2009 - vuntz@opensuse.org

- Drop gir-repository BuildRequires: it's not needed with recent
  gtk2 that have introspection data.

-------------------------------------------------------------------
Sat Nov 14 02:18:48 CET 2009 - vuntz@opensuse.org

- Update to version 1.1.6:
  + Fix linker flags
- Changes from version 1.1.4:
  + Fix last usage of GDK X11 API without guards
  + Fix UNIQUE_CHECK_VERSION macro
  + Documentation fixes
  + Update the build environment
  + Fix introspection annotation for
    unique_message_data_[sg]et_uris()
  + Allow building only the D-Bus backend
- Add gir-repository and gobject-introspection-devel BuildRequires.
- Fix rpmlint warnings about self-obsoletion.

-------------------------------------------------------------------
Tue Aug 25 13:48:49 CEST 2009 - vuntz@novell.com

- Update to version 1.1.2:
  + Follow GTK+'s single header include policy
  + Remove a weak reference on the watched window
  + Rework the build environment:
    - use a recent syntax for the configure.ac
    - use AS_COMPILER_FLAGS to ensure portability
    - use Shave to clean up the build output
  + Allow compiling out the Unix Domain Socket backend (bacon)
  + Use the D-Bus backend by default
  + Use GTK-Doc >= 1.11 to generate a proper Index
  + Use X11-specific API only if we have support for it

-------------------------------------------------------------------
Sun May  3 00:49:49 CEST 2009 - mboman@suse.de

- Update to version 1.0.8:
  + Use the right environment variables
  + Rework the maintainer compiler flags
  + Remove the GPL notice from the test
  + Update AC_INIT parameters
  + Update the ChangeLog generation rule
  + Eliminate newline in the version XML template
  + Rename SGML to XML
  + Remove mentions of unique_command_register()
  + Use gnome-autogen instead of autoreconf
  + Support suncc
  + Chmod the socket file to 0700
  + Unbreak subclassing of UniqueApp
  + Do not attempt to convert UTF-8 data
- Merge -doc into -devel since it only contains gtk-doc
- Use %makeinstall instead of make install DESTDIR=%{buildroot}
- Rename package from unique to libunique
- %define _libversion and use it instead of specifying the version
  everywhere
- Add obsoletes/requires for unique

-------------------------------------------------------------------
Tue Feb 10 18:13:22 CET 2009 - vuntz@novell.com

- Use post -p /sbin/ldconfig.

-------------------------------------------------------------------
Mon Jan 26 13:38:44 CET 2009 - vuntz@novell.com

- devel package requires gtk2-devel package.
- Simplify file list.
- Fix Group.
- doc and devel packages are not versioned.

-------------------------------------------------------------------
Sat Jan 03 11:23:12 CET 2009 - mboman@suse.de

- New package